org.apache.nutch.indexer

## Class IndexingFilters

- java.lang.Object
- - org.apache.nutch.indexer.IndexingFilters

-     public class IndexingFilters
      extends java.lang.Object

  Creates and caches `IndexingFilter` implementing plugins.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `INDEXINGFILTER_ORDER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexingFilters(Configuration conf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NutchDocument` | `filter(NutchDocument doc, java.lang.String url, WebPage page)` Run all defined filters.
    `java.util.Collection<WebPage.Field>` | `getFields()` Gets all the fields for a given `WebPage` Many datastores need to setup the mapreduce job by specifying the fields needed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INDEXINGFILTER_ORDER

          public static final java.lang.String INDEXINGFILTER_ORDER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IndexingFilters

          public IndexingFilters(Configuration conf)

  - ### Method Detail

    - #### filter

          public NutchDocument filter(NutchDocument doc,
                                      java.lang.String url,
                                      WebPage page)
                               throws IndexingException

      Run all defined filters.
      Throws:
        `IndexingException`

    - #### getFields

          public java.util.Collection<WebPage.Field> getFields()

      Gets all the fields for a given `WebPage` Many datastores need to setup the mapreduce job by specifying the fields needed. All extensions that work on WebPage are able to specify what fields they need.

Copyright © 2019 The Apache Software Foundation